                              CNET Amiga
                              version 1.9


     Very little text was left out of this doc file from the original docs, 
     i.e. usage agreement, warranty, etc.. Ect. material is also included
     in this doc file where that particular item was discussed and the 
     obvious updated items have the "****>" at the beginning of the affected
     line of information.
     
             
2. Configuration

 Warning! Before you proceed with any of the configuration instructions,
insure that you have a verified backup copy of the C-Net master disk!
Accidents do happen! The Workbench DISKCOPY command is useful and
satisfactory for this purpose. Store your original in a safe place and only
operate from your backup.


2.1 Memory Requirements

 C-Net will operate using any Amiga model computer. To use many of C-Net's
more advanced features such as its multiline/multiuser abilities, on-line
AREXX files, or to be able to effectively mutitask, however, you will find
it almost a necessity to have at least 1 megabyte of RAM. Having more memory
will never hurt, but will open doors for you to be able to operate more
ports (users online), larger on-line programs, and do more with your Amiga
while the BBS is operating. Following are more precise memory requirements:

                                         8 Colors        2 Colors
           Memory for first port:           360K            325K
           Each additional port :           310K            275K

           For AREXX, add       :                   85K
           For FastFonts, add   :                    4K

 If you receive a GURU when attempting to operate C-Net, chances are you've
run out of memory. You may attempt to fix the problem by using fewer screen
colors, or by not using other utilities that you may be running in the 
background (clocks, virus checkers, memory monitors, etc.).

 C-Net will recognize whether it has enough memory to run or not as soon as
it loads. If not, the program will exit immediately. All memory needed
during program operation is requested at once at program execution. If C-Net
appears to "not run" when told to, chances are you are out of memory, or have
not copied "cnet.library" as instructed in the next section.

 As an added precaution, C-Net well check available memory before allocation,
and will inform the user that too little memory is free to preform any
function (notably the BASE sections) if the case arises. However, many
programs I have encountered will not do this, but rather "GURU" and crash your
system. Be aware of this.

 To check your available memory at any time, you may enter AVAIL at your
command prompt. The program AVAIL is normally in your C: directory.


2.2 Other Hardware Requirements

 Although it is possible to operate C-Net Amiga on a single or dual floppy
drive system, it is highly recommended that a hard drive be used for speed,
efficiency, and to allow your system some elbow room. Much of the following
configuration information has been written with the assumption of the use of
a hard drive. For floppy users, you will simply need to swap disks as
required as you are called upon to copy files.

 C-Net Amiga will operate well with any Hayes Compatible modem, of any baud
rate. The following need to be checked on your modem(s) to insure proper
operation with C-Net Amiga:

  1) Carrier Detection MUST be enabled. Some modems use a dipswitch for this,
     and some use a command "AT&C1". If your modem uses a command, you may
     add this to its configuration string (see section 2.4).

  2) The DTR line must be enabled in order for the modem to be able to hang
     up the line. Some modems use a dipswitch for this, while others use a
     command "AT&D2". You may add this command to the configuration string as
     well.

  3) Modems with ARQ error correction protocol (USRobotics) must have the
     command AT&A0 sent to them. You may simply add "&A0" to the modem
     configuration string (section 2.4).

  4) If a dipswitch exists on your modem for autoanswer, insure that
     autoanswer is "OFF".

 Additionally, especially if you plan to use locked baud rates on any high
speed modems, you need to insure that your modem cables are of the 7 pin
(or more) variety. Without the full 7 pins, the Amiga will be unable to do
hardware flow control.


2.3 Installing C-Net Amiga

 You will need to use the shell or CLI from your workbench to install C-Net.

 If you are using a hard drive, you may install C-Net Amiga into a
subdirectory of your hard drive.

 Now you need to decide how you plan to distribute your actual system. C-Net
is able to distinguish between the following BBS areas:

   SYSTEM: user data, system text files, menus, help, logs, bbslist.

   BASE:   message base.

   UDBASE: files area.

   MAIL:   user to user private mail.

   PFILES: AREXX files

   GFILES: general text files.

   VOTE:   voting topics.
 
   NEWS:   news bulletins.

 You may assign each of these to a separate location, some on one hard drive
partition, the rest on the another, or floppies, or however you wish. After
you have come to some agreement with yourself as to where you will put these
directories (listed above), simply create the directories with the "makedir"
command from your shell or CLI where you want it. After creating the new 
directories, copy the files in the directory to the directory that you just
created.

****>  C-Net is able to distinguish between more than just one path for 
       BASE: and one path for UDBASE:. You will find this invaluable in the
       event that you plan to operate your Upload/Download Files sections
       from more than one physical drive (hard drive or floppy drive), or
       more than one hard drive partition. At this time, C-Net is only able
       to split the upload/download files themselves, not the messages. It
       is unnecessary to use multiple BASE or UDBASE definitions if have
       only one hard drive without partitions.

****>  IMPORTANT: In place of the BASE: and UDBASE: discussed in the manual, 
       BASE0: and UDBASE0: assignments must be made! These paths will always
       house all of the messages of the system (the post, responses, long
       file descriptions, etc.). If you do not use additional path
       definitions, BASE0: and UDBASE0: will also contain all
       upload/download files.

****>  Additional (optional) paths are defined as follows: BASE1:, BASE2:,
       up to BASE6:, and UDBASE1:, UDBASE2:, up to UDBASE6:.

 Your next task will be to tell C-Net where it is that you decided to store
your various BBS areas, and in particular the names of their directory paths
(how to get there exactly). To accomplish this, simply use the "assign"
command from your shell or CLI. Example: If you have chosen to store your
"SYSTEM" directory on DF1: under another directory called "CNET", you would
type in at the shell or CLI prompt "ASSIGN SYSTEM: DF1:CNET/SYSTEM".

 This task of assigning the directories can all be accomplished in your
startup-sequence so it will be done for you when you power up you computer.
While you are editing your startup-sequence, it may be convenient to add
other commands if memory permits. You may add "FF -0" to enable FastFonts 
("FF" must be in your C: directory for this to work). The next command to add
if it is not there already would be "STACK 10000".


2.4 Modem Configuration

 If you do nothing to affect your modem configuration, C-Net will default to
a one line system, using the built-in serial port. However, if you wish to
modify the modem initialization strings, or add other ports, you must edit the
file "bbsport" found on your C-Net master disk (if you are using a floppy
system) or your hard drive C-Net directory.

 Each line represents a port (or line) into your system. The first line is
port one (1), the second is port two (2), and so on. Note that you may
always have one additional line apart from those listed, which may only be
used for "local mode", that is, logging on from your keyboard directly. This
additional port is always called port 0. An example line of the bbsport file
might look like this:

    serial.device 0 2400 0 0 ATH0X1V0E1S0=0M0&C1&D2

 First is the name of the device, following by its unit number. The Amiga's
built-in serial port is always named "serial.device" and has a unit of 0.
Next, is the baud rate C-Net will use while waiting for a call, usually the
highest baud rate the modem is capable of. Next, is the Flow Control
specification, followed by the locked baud rate. Both numbers are usually 0,
unless you are using a high speed modem (like the USRobotics HST) and wish
to lock the baud rate (discussed later). Finally, the modem initialization
string, sent at runtime, and also between callers. (Don't forget to add
commands to this string, as required, see section 2.1). The most generic
configuration string is probably ATH0X1V0. Use other commands as needed.

 The Supra 2400zi modems use "modemX.device" (where X is a number from 0 to
the number of Supra's you have, see the Supra docs for more info), and units
of 0.

 If you wish to lock the baud rate of a USRobotics 9600 baud modem, simply
set the flow control to 4 and the locked baud rate number to whatever you
desire (usually 19200 for HST modems). In addition, the commands "&H1&B1"
must be added to the modem configuration string. An entry in "bbsport" for a
locked baud rate HST might look like:

       siosbx.device 0 19200 4 19200 ATH0X1V0E1M0&C1&D2&A0

 When you lock the baud rate of your HST, transfer rates above 16000 baud can
be achieved by users calling in with HST modems (who have their terms to
19200 baud, and have sent the AT&H1&B1 commands to their modems, and have
selected RTS/CTS flow control either using preferences or their terminal
menus).
 Do not forget to copy device drivers supplied with these modems/cards into
your DEVS: directory on Workbench or your hard drive's DEVS: directory.


2.5 Editing The General Configuration Options

 Several general system configuration options may be viewed/edited by using
your text editor to edit the file "bbsconfig" found on your C-Net master
directory. This file contains several lines, each with a description of the
use of each line. Simply change the values as you desire, and re-save this
file.

 According to the first value in this file, C-Net will check for a specific
number of free bytes before authorizing an upload.

 A two character ID prefix.

 Screen blanking time before blanking, and blanking intensity.

 Defaults for the pull down menu options sysopis, private bbs, and UD closed.

 Keep the stat screen on when someone logs on.

 Send feedback to the sysop's mail box.

 Default conference format: chat or forum.

 Time will be returned to an uploader depending on the next setting. This
value is a percentage, 100 is full time back, 0 is no time back, 200 is
double your time back, etc..

 The password for the online shell is simply an added security precaution.
In case someone somehow discovers your password to the system, this next
password will likely keep them out of the shell, where they are likely to do
the most damage.

 The number of pfiles that can be run at the same time si really something
provided for you to limit depending on your memory. Find your longest Pfile
and determine how copies of it can safely run at once (be in memory) at one
time.

 New user game points is simply an initial value for a score which will track
a user's winnings or losings in the pfiles, if according to the player's
performance.

 The default text color determines the text color that the system will return
to when it encounters the MCI command \q1 (MCI will be discussed in detail in
a later chapter).

 ZModem upload resume ability means your system will not delete files which
were in the process of being uploaded to your system when the uploader
happened to be cut off the line, or hung up. Files that are "unfinished" will
be marked as such when users read the items, and any user will be able to 
complete the upload, using ZModem, and will receive any applicable credits 
for the file. This provides an incentive for the original uploader to
attempt to complete the file as soon as possible.

 If you allow guest accounts, this means that users will be able to call your
system without selecting a password. Once they leave the system, their
accounts are lost. Guests have access identical to new users, except they
can not be "autovalidated" (described later).

 Log verbosity will determine the amount of information written to disk
concerning user activity on your system. For example: if you want everything
to be recorded in your caller log then you should have the value of 255
there, if you want to only record chat then you should have 5 there. You 
derive the number from adding the options you want together. For example:
log on = 1, log off = 2, chat = 4, AREXX = 8, bad logon = 16, download
handle = 32, and SAM = 64. So that means that if you want chats and bad
logons recorder then you should have 21 there (1+4+16=21). It's just that
simple.

 Default for tone/pulse for auto call-back.


2.6 Editing The Function Key Macros

 Using your text editor, you can edit the file "bbskeys" found in you boot
directory to change the function key macros. Each line of this file
represents a function key, numbered from 1 to 10. Keys 1 through 5 are "print
only", that is, they will display on your screen (and the user's screen) but
will not affect what is being entered at any command prompt.
 
 Conversely, keys 6 through 10, when pressed, will actually "type" the text,
allowing you to, for example, create a logon macro for yourself (your ID
number and password).


2.7 System Text Files

 The following files must be written into your "SYSTEM:" directory in order
for C-Net to find them. All of the files are actually optional. In some case,
default or example files may have been provided for you on the C-Net master
disk's "SYSTEM:" directory.

badnames       = This file may be used to keep certain handles from use on
                 your system. Each line represents a new pattern to restrict,
                 and upper and lower case does matter here. To specify the
                 end of a word, use the "_" symbol to represent a space.
                 Examples are:
                     Car  = No Car at the beginning of a word.
                     car  = No car anywhere else in a word.
                     car_ = No word ending in "car".
                     CAR_ = Not the word "Car" by itself.

newquest       = This file will allow you to create a new user questionnaire.
                 You may format it however you wish, but when you prompt for
                 questions, you must use the MCI commands "\i0" through "\i4"
                 to input a maximum of 5 responses. C-Net will automatically
                 write the responses to the user's NewUser feedback message.

sys.accessx    = "x" represents an access group, 0 through 23. the file
                 displayed to members of this group as they logon.

sys.avalid     = This file configures the AutoCallBack Validation system
                 built into C-Net Amiga. The first line should contain your
                 local area code. Each line following should contain an area
                 code, followed by a local prefix, however many you have to
                 your area. It might look like:
                          313
                          313981
                          313453
                          313996        ...ect
                 Note that when an autocallback is successful, the user is
                 always promoted from access group 0 (new user) to group 1
                 (validated).

sys.end        = Displayed to users after they have selected to loggoff.

sys.info       = Displayed to users when they have selected "I" from any
                 command prompt. Usually, this file contains information
                 about your system, software, hardware, etc..

sys.new user   = Displayed to users once they have selected to sign on as
                 new.

sys.second     = Displayed to new users on their second call only.

sys.start      = Displayed immediately after the "press your backspace key"
                 prompt at logon.

sys.validation = Displayed to users immediately after they have uploaded
                 file(s) which require validation before they receive credit.

sys.welcome    = Displayed to users once they have successfully logged onto
                 the system.

sys.conf       = Displayed to a user as he enters the conference system.

sys.private    = Displayed when a user attempts to enter the file transfer
                 area and it is temporarily closed.

badnumbers     = Will work exactly like badnames, except will cut users off
                 of the system who use forbidden phone numbers.

 Many system text files have graphics alternatives. Instead of using
"sys." in the case of "sys.start", "sys.welcome"' etc., you may use "TTn."
where n is replaced with the TerminalType number (0=dumb, 1=C/G, 2=ANSI).


2.8 Configuration Of Automaintenance

 One of C-Net's more powerful features is auto-maintenance. you must
specify a time during the day, and C-Net will automatically take itself down
to perform several clean-up activities, including user purge for inactivity
(not calling in a specified time period), and deletion of old or not recently
used files, messages, and more.

 Whenever you enter a file into news, pfiles, gfiles, or enter a subboard
into a base section, you will be asked for "days to keep" or "inactive days".
Entering nothing will result in the file remaining indefinitely. Specifying
30, for example, will cause automaintenance to delete the file after
approximately one month of non-use. For news, pfiles, and gfiles, this is 30
days after the last response. For files, this is 30 days after it's last
download. Files and messages may individually be "protected" against 
auto-deletion.

 Use your text editor to create a file "sys.amaint" in your "SYSTEM:"
directory. The first line should contain the hour (military 0-23) that you
wish auto-maintenance to take place. The second line will contain the number
of user inactivity days before auto-removal from the system. Two months (60)
is usually a good number here. Note that C-Net will limit time for users
just before auto-maintenance occurs to insure that all users are off the
system at that time. This is necessary due to the nature of the file 
processing being performed.


2.9 Configuration Of Time Restrictions

 C-Net has the ability to restrict access to logon, upload, download, or use
the pfiles bases on the time of day, the user's baud rate and access group.
To configure this feature, you must use your text editor to create a file
"bbstimes" on your boot directory. This file must contain 24 lines, each
representing an hour of the day, from 0 to 23 in 24 hour time. Each line
contains the following information, separated by spaces:

  A B C D E F

         A = MINBAUD LOGON

         B = MINBAUD DOWNLOAD

         C = MINBAUD UPLOAD

         D = ACCESS LOGON

         E = ACCESS UPLOAD/DOWNLOAD

         F = ACCESS USE PFILES

 Access configuration here, and in the rest of the system must be entered
using a comma/semicolon range scheme. For example:

         0,23      = All 24 access groups.
         1,10;15   = Groups 1 through 10, and 15.
         2,7;9,14  = Groups 2 through 7 and 9 through 14.
         4;9;10;15 = Groups 4,9,10 and 15 only.

 Millions of other combinations are possible. An example line of this file
would look like: (Here, any baud rate can logon, but at least 1200 is needed
to upload or download. Any group can logon, but only groups 5 and higher can
upload or download, and only groups 9 and higher can run pfiles.)

    300 1200 1200 0,23 5,23 9,23

 Alternatively, you can create files "bbstimesx" where x is a port of your
system. Different lines of your system can have different restrictions, as
you might have different modems and rates, etc..


2.10 Altering Menu Structures And BBS Text

 With C-Net Amiga, you have the ability to completely alter the format of the
menus structure, as well as the text of the program. this allows you the
ability to completely alter the appearance of your BBS, as well as the
commands used to perform various functions.

 When you use your text editor to edit the file "bbstext" from your boot
directory, you will see before you everything that C-Net displays to the
user throughout the running of the program. The only rule here is that you
keep the file under 14500 bytes (This is not true any longer as the file is
already approx. 22300 bytes long), and maintain the line structure, that is,
do not insert lines or remove lines. Lines can be, however, as long as you
would like to make them. Colors can be inserted by using the MCI commands
"\c" and "\z" (see that chapter for more information). The "%s"'s and the
"%d"'s that you see throughout the file represent "formatting" commands for
the BBS (where to place text strings and numbers). On any line which contains
these commands (may be the line for scanning message titles, or other lists),
you must not alter the order of these commands.

 In "bbsmenu" you will find several lines of commands separated by commas.
Each line represents a "menu string" for a particular part of the system.
These are as follows:

        All-area MAINTENANCE commands.
        All-area NON-MAINTENANCE commands.
        Main menu specific commands.
        U/D base and Message base commands.
        Read new commands.
        News/gfiles/pfiles commands.
        Read Mail commands.
        Read new commands.
        Read post commands.
        Read all commands.
        Search commands.
        Editor-empt commands.
        Editor-text commands.
        Justify commands.
        Edit User commands.
        BBSlist commands.
        Edit Subboard commands.
        Conference commands.
        Mail verify commands.
        Vote commands.
        Edit post commands.

 The most important rule in modifying this structure is that the order of
the lines and the order of the commands must not be altered! If you need to
know what a particular command does in the program, see the appropriate menu
for that area. Commands can be 1 or 2 characters in length only. You must
also remember that "ALL-AREA" commands are checked first before the local
area commands are. What this means is that if you have an all area command 
"I", and a files section command "IN", the "I" command will always be
executed, and "IN" will never be used, even if a user enters "IN". Be
careful here! One additional feature here is command aliasing, that is, 
several commands performing the same function. You will see an example of
this with the "Q|O" (Q or O) command at the main menu, both used to loggoff
the system. More than two commands may be aliased to the same function.

 C-Net allows you several opportunities to "add your own commands" to the
existing menu structure. Here's all you need to do:

      (1) Add your command to the appropriate menu line in "bbsmenu".
          Remember that only 1 or 2 character commands are possible. Separate
          your command from the others by using a comma ",", similar to the
          other commands you already see there. Save the file. A maximum of
          3 commands may be added to any menu line.

      (2) In your "SYSTEM:" directory, you need to create a text file
          according to the menu, and letters of the command you used. Menu
          command files are of the following format:

                cmd.main.xx   = The main menu.
                cmd.comm.xx   = Command commands (both lists).
                cmd.base.xx   = The Base and UDBase.
                cmd.post.xx   = The end of post menu.
                cmd.list.xx   = The g/pfiles, news/vote menu

          Simply create a file of the appropriate format, substituting the
          1 or 2 letter command for the "xx" you see above.

      (3) When your command is entered, C-Net will read the file you have
          created. Your command may simply be a text file of information, or
          it may contain MCI commands (see chapter 8) which runs an AREXX
          program, or executes an AmigaDOS command.


2.11 Configuration Of The DOS Shell

 The DOS shell uses a modified "AUX:" handler to operate. Follow these steps
in order to make your Shell functional (the "S" command from the main menu).
Note that if you are short on memory, this isn't such a good idea.

       (1) Copy the "aux-handler" from the C-Net master disk into your "L:"
           directory (on boot disk or hard drive), replacing the old one.

       (2) Use your text editor to edit your file "DEVS:mountlist". Add the
           following code for an AUX: driver. If there already exists one,
           replace it.

                  AUX:
                       Handler   = L:aux-handler
                       Stacksize = 4000
                       Priority  = 5
                       GlobVec   = 1

       (3) In your "S:startup-sequence", add "mount AUX:" somewhere before 
           the end of the file, possibly with the "ASSIGN's" from earlier.


3. Using C-Net Amiga

 This chapter will provide instructions on putting on-line an already
configured system (read and follow the instructions found in chapter 2 if you
have not already done so).


3.1 Running C-Net Amiga From CLI

 Ideally for the purposes of running C-Net Amiga, your startup-sequence 
should be modified so that you are taken directly to AmigaDOS CLI or Shell
mode. Loading workbench is cumbersome here, and memory consuming.

 To run C-Net from the CLI, you must first change your current directory
to you C-Net BBS directory which you created at the beginning of the 
configuration step in the last chapter. Following the example of the last
chapter, this is accomplished with the following command:

         1> cd dh2:CNet

 Next, you simply need to use the "run" command as follows to get the BBS
running. If you are operating with limited memory resources, and plan to
operate only copy of the BBS, without background multitasking, you may
elect to simply enter "bbs" here.

         1> run bbs

 The "1>" prompt should return immediately while C-Net loads. Soon, the 
screen will clear with the C-Net copyright message at the top, and some
information will be displayed.

 To return to the AmigaDOS screen, use the mouse to click on the "screen to
back" gadget at the top right corner of the screen (actually, the left one
of the two smaller gadgets there). to switch back to C-Net, click the
analogous AmigaDOS screen gadget. Note that you may have to shrink the size
of the AmigaDOS window in order to reveal the screens or programs, you may
have to use the left mouse button and click the pointer inside of the
screen you wish to use to make it the "current" screen before you will be
able to communicate with that screen.

 At this time, if you wish, you may run additional copies of (ports into)
C-Net, provided you have the memory to do so (check requirements in the
previous chapter). Simply type "run bbs" again. Note that you can always run
one additional port into the system than you have modems or phone lines. In
this way, you can use your system from the Amiga console while your BBS is
running. Note that you must always wait until the first port displays "Idle"
at the top of its status window before attempting to run additional ports.
Note that the current screen's port number is displayed in the upper left
hand corner of the window, after "P#". As you run additional ports, this
number should change from 1 to however many modem ports BBS you run, and
then to 0 for the first port that isn't matched to a modem (according to the
"bbsport" file, consult the configuration chapter). It is unwise to run
more than one "port 0". If port 0 appears unexpectedly, check your "bbsport"
file for proper configuration.

 There are a couple of modifiers that may be added to the "runn bbs" command
to affect C-Net's normal operation.
 
 C-Net normally defaults to 8 color mode, with colors similar to those that
users will see when they call in using ANSI compatible terminal programs. By
specifying "s" and a number, either 2, 1, or 0, you can instruct C-Net to use
only 4, 2 or no colors at all, respectively. With 4 or 2 colors, C-Net will
generate the colors it uses from the current AmigaDOS screen colors. Thus, if
you wish to change these colors, you may do so by using the Preferences tool.
The advantages are much faster text output, and the use of less memory (if
you leave a port unattended, it is recommended that you use 2 color mode for
highest system efficiency). When you specify "s0", C-Net will not open a 
window at all, operating completely as a background task on your Amiga. Note
that the only way to close a background (hidden) C-Net task is by using the
"close" program located in your C-Net directory.

****>  Interlace mode is now supported. To activate interlace mode, place
       the modifier "i" following the "run bbs" command. By entering "i49"
       you can specify a 49-line screen.

****>  Using the modifier "s4" will allow 16 color mode. The second set
       of 8 colors will appear as "intense" versions of the first 8. Note
       that this terribly slows down the Amiga, and degrades overall
       performance.

****>  PAL resolution is now supported. If this program is used in Europe,
       the PAL bit should be detected, and a 256-line screen should be
       used fully.

 C-Net normally follows the order of "bbsport" in terms of which lines and
modems are used in which order. that is, the first "bbs" you run will use
line 1, then second, line 2, and so on. The first "bbs" you run which does
not match a line in "bbsport" by specifying "1" and the line number following
the "run bbs" command. Line 0 always refers to the "no modem, local made
only" port 0. Here are some examples:

     1> runn bbs 13      = Run third line of your bbs.
     1> run bbs s1       = Run 2 color mode of your bbs, next available line.
     1> run bbs 10 s2    = Run local port, 4 color mode.
     1> run bbs s0       = Open background port, next available line.

 Note that "run bbs s0 10" makes no sense at all!

 In order to multitask with other programs, you must be able to run that 
program from the CLI command prompt. Simply move to the AmigaDOS screen and
use whatever commands are necessary to execute the other program. Programs
which are "multitask" friendly and take little processor time (databases,
word processors, etc.) you will have the most success with.

 If you wish to place the "runn bss" command(s) within your startup-sequence
file so that your bbs automatically sets itself up upon power-up (or power
loss), you must remember that it is unsafe to "run bbs" immediately after
having just done so. the solution to this problem is to insert delays into
your startup-sequence, of at least 10 seconds between the first and second
ports, and 5 seconds between the others. This is easily accomplished using
the "wait" command (see your AmigaDOS user's manual for further information).


3.2 The C-Net Screen

 To switch between the various C-Net port screens, you may use the paging
gadgets at the top right corner of each screen. Note that in the case of
AmigaDOS, you may have to move the window out of the way first. To make a
screen the "current" screen, use the left mouse button and click inside that
screen.

 The initial C-Net Amiga screen contains the "status window" at the top, and
the System Activity Monitor (SAM) at the bottom. SAM's duties are to monitor
several system usages, such as blocks uploaded, downloaded, pfiles ran, post
made, and more. These are tracked individually for the last caller (on that
port), and since setup, total since day one of system operation, and for a
specific period of time (these for the entire system, all ports). The
"current" column tracks what's there now. you will easily be able to glance
at your screen to determine the number of feedbacks or mails that you have
waiting for you.

 The status window will be populated by such user data as Account Number (A#),
Access (AC), Time Zone (TZ), Handle, Real Name, Address, Phone Number, 
Birth Date, Last Call (Last), Balance (Bal), Computer Type (CMP), Signon time
and type (ON@), minutes used today (MIN), Baud rate (CPS), and the number of
users your system has (USR). The "CALL" field contains several pieces of
information. A display such as:

               CALL 004:02377 01/02:0002

means the user is the 4th since you last setup the system, the 2377th since
day 1 of system operation. Also, the user has called once today, out of a
maximum of 2 calls per day, and has called the system a total of 2 times. 
The parameters (PAR) field contains information about the user's terminal
type. Something line 80:24 shows an 80 column by 24 line screen. Various
other user options area also noted there, such as Paranoia (PA), More Mode
(MR), Help Level (HL), Line Feeds (LF), and Terminal Type (TT).


3.3 Pull Down Menus

 C-Net uses the Amiga's pull down menu system to offer a variety of options
for you to use. The first menu, entitled "BBS", contains options available
only while the system is waiting for a call, or "Idle"

   Logon    = Will allow you to enter the system from your Amiga console.
              Note that C-Net will send "ATH1" to the modem connected to 
              this port to take it "off-hook" while you are using the system.
              The spacebar may be used instead as a shortcut.

   AutoLogon= Uses ID 1 and password to bypass Logon, News, and Welcome.

   Display  = Will toggle the "waiting for call" screen between either SAM
              or the System Activity Graph (SAG). the system activity graph
              plots the usage of your system as a function of the time of
              day. At a glance, you can determine your "peak" and "valley"
              usage periods. The "Enter" key may be used instead.

   About    = Will simply display a file of information pertaining to the
              origins of the C-Net Amiga software.

   Quit     = Will remove the port from your Amiga.

   Terminal = C-Net offers a simple terminal to call out with. The terminal
              also supports Zmodem uploading and downloading. Select 8 bit
              word size if you are calling a BBS with IBM graphics, or
              Amiga international characters, turn this option off
              otherwise. You will need to use the appropriate font to view
              the characters of your choice.

   ResetSAM = Will reset your SAM "period" column to 0's. The only time that
              the SAM period is reset is when you choose to do so. The "P"
              key may be used instead.

   DumpUser = Immediately drop a user's time to 0, logging him off the
              screen.

   Iconify  = Place the current C-Net screen as an icon on the workbench
              screen. Double clicking this icon will cause C-Net to reopen.
              While iconified, memory normally used by C-Net for the screen
              is freed, and overall performance of C-Net is greatly 
              improved.

   Colors   = Directly change the number of display colors used by C-Net
              Amiga without taking the system down.

 The "Options" menu contains several "toggle flags" some of which are for use
only when a user is on-line.

   ChatMode   = When a user is on-line, it will bring the user to an area
                where you and he may freely type to one another.

   SysopIn    = If checkmarked, it will notify the user that you are being
                called when he selects to "Chat" with you. Otherwise, the
                user will instead be offered a chance to leave you feedback.

   PrivateBBS = If checkmarked, it will disable the new option when signing
                on. If you wish to run a private "members only" BBS, this is
                the way to do it (you made users manually yourself).

   UDClosed   = If checkmarked, it will not let users enter the "UDBase". 
                Note that if you also have file transfers in your "Base" that
                users will still be allowed to enter.

   LocalMode  = If checkmarked while a user is online, it will temporarily
                "detach" the modem from the input/output stream, allowing
                you to perform maintenance functions while he is still 
                on-line, waiting for your return. Note that all maintenance
                commands are always active in LocalMode.

   PrinterOn  = If checkmarked, it will attempt to print everything that is
                displayed also to the printer, as configured by the 
                Preferences tool. If C-Net encounters trouble doing this, a
                requester will be generated on the AmigaDOS screen, and the
                checkmark will automatically be turned off.

 While a user is on-line, you may alter his time remaining (TIME=), his 
access group (AC), or his upload kilobytes of credit (UK) by using the 
"User" menu. With one of these checkmarked, you may use the up and down
arrows (next to the keypad) to raise or lower this value, respectively. Note
that you will not be able to see what your doing unless the status window is
on the screen, and the window is defaulted OFF when a user is logged onto the
system.

 The last menu, "display", will allow you to toggle the status window on and
off, and toggle "split screen" mode on and off. Although the top line of the 
screen always contains the handle of the user currently on-line, the status
window switches to off when a user connects to the system, and on when the
system is waiting for a call.

 Split screen mode is useful when you wish to view two user's activities
simultaneously. Select split screen mode for each port, then "drag" one
screen in front of the other. With three or four ports, it may also be 
convenient to "layer" the screens so that each of the status windows from
the screens are simultaneously visible.


3.4 System Control Keys

 There are several Control keystrokes active whenever you are entering
commands or other text. to use one of these, simply hold down the "CONTROL"
key on your keyboard, and press the appropriate command letter. These are as
follows:

  Control B  = Automatically delete all keys back to the beginning of the
               line.

  Control V  = Reprint what you've typed so far. If there is noise on the
               line, this might be useful to verify what you've typed.

  Control W  = Delete the last word you entered.

  Control X  = Cancel the current line, and start over.

 Other Control keystrokes are useful whenever text is being printed to you.
Most important are those that pause or stop text.

  Control S  = Temporarily Pause the text output, maybe to catch up reading
               before information scrolls from the screen. To re-start text
               output, press any key (except Control S).

  Spacebar   = Terminates (aborts) the current message or file that you are
               reading. Reading will continue at the next message (if you are
               reading a series of messages).

     /       = The Slash key "/" is a more powerful version of the spacebar
               abort function. If you are reading a series of messages (such
               as a post and it's many responses) you can skip them all at
               once using the Slash key.

  Control C  = Even more powerful is the Control C. Using Control C will
               attempt to abort all messages, and also clear the input
               buffer, meaning that if you've for instance, pressed several
               commands at once, even those unprocessed commands will be
               skipped. Another example is you've pressed [RETURN] a 
               hundred times, and the system if endlessly reading messages,
               and you would like to stop.

 Note: C-Net will display large numbers in a shorthand way. Whenever a number
ranges from 0 to 9,999, the actual number itself will be displayed. Above
10,000, C-Net will move to "K" (kilo) notation, something like: 10K for
10,000 and 100K for 100,000. Once this number reaches 10,000,000, C-Net will
enter "M" (mega) notation, something like: 10M for 10,000,000 and 100M for
100,000,000. This makes reading large numbers found in program sizes and
status displays much easier to read. You should note that "K" here refers to
the user-friendly 1,000 and not 1,024, as is sometimes a common reference to
"K" in the computer world.


3.5 Command Stacking And Quick Commands

 C-Net Amiga allows you to enter several commands all at once on one 
command line by separating them with semicolons ";". For example, the 
following command will enter the Base, and read all new messages on all
subboards:

                      B;RA

 This next one will print your status, your Activity Summary, then log you
off of the system, answering "Yes" to loggoff, and "No" to leave feedback:

                      ST;AS;O;Y;N

 Many features of the system stop to ask "verification" usually in the form
of "Is......correct?" or possibly "Are you sure?". By appending an
exclamation point "!" to your command, you are able to tell C-Net to skip
this verification. Some common uses are as follows:

 "MS1!" = Automatically selects to MailSend to account 1 (the sysop),
skipping prompts which ask you for an account number or handle, and whether
your selection of an account number was actually correct.

 "O!" = Skips the reading of "sys.end", and prompts of "Want to logoff of
the system" and "Want to leave feedback first."


3.6 Terminal Parameters

 Your terminal parameters affect the way C-Net communicates with your
terminal or computer. To view or edit your terminal parameters, press "E"
from the main menu. here are explanations for many of the options:

 Your terminal type may be selected as dumb, ANSI, or Commodore 
Color/Graphics. Commodore C/G mode is only usable by people with Commodore
64's or 128's with color/graphics terminal package. Most other computer 
terminal emulation programs support some variation of the ANSI standard.
If you see an abundance of "[36m" and the like on your screen, yours
probably isn't one of them.

 C-Net keeps track of your screen width (columns) in order to properly 
format messages for you. If a word will not fit at the end of a line on your
terminal, C-Net will automatically move to the next line before printing the
word. Your screen height (rows) is used to determine where to stop when
asking "More?" if you have that feature enabled.

 The "More?" option allows you to let your screen fill up without worry of
text scrolling off of the top before you have a chance to read it. In most
cases, pressing "N" (for No) at the More prompt will abort the current
message. Also, pressing the equal sign "=" at the More? prompt will cause
More? to temporarily disable, until the next command prompt. In this way,
you may choose to have an entire message or file displayed without pausing
for More?.

 If you select yourself to be "paranoid" then whenever another user request
information about you by using either the "UI" or "UL" command, all he will
be able to see is your last call date. Otherwise, your address, phone number,
and date of birth will also be displayed.

 Your "Help Level" (beginner, novice, or expert) determines the amount of
redundancy that C-Net will suppress based on your familiarity with the
system. At beginner level, all command level prompts are preceded with the
most commonly used commands spelled out for you to choose from. At novice
level, this is dropped; only prompts themselves are displayed. At expert
level, even the entry files into individual subboards are dropped, printing
only the subboard titles themselves. This can be a time saver if you have
read them all many times before.

 Your "time zone" is a measure of your time difference from the system's 
time. For example, if the system is in the Eastern Standard Time Zone, and
you are calling from Hawaii, your "time zone correction factor" is probably
-5. All dates that are displayed throughout the system, even those stored in
the system's time, will be displayed to you in your time.

 You may also select your preferred "time format", that is, standard AM/PM
format such as 3:22 PM, or 24 hour (military time) such as 15:22.


4. The Main Command Level

 The Main command level acts as the "center point" of the system. From here,
the user may branch to any one of the other major subsystems.


4.1 Main Level Commands

 Following are the commands which are only accessible from the Main level of
the system.

 A   = Accounting system summary. The user is able to select "Detailed" for
       this command. Without detail, only a short summary of this calls 
       charges and the user's balance will be displayed. With detail, an
       itemization will be displayed, containing the amounts that the user has
       been charged for each of the various system functions.

 B   = The Bulletin Board. See chapter 5 for details.

 G   = General text file base. See chapter 6 for more details.

 J   = Join a public conference. Built directly into C-Net is a multi-user
       conferencing program, which allows users from the various ports to
       communicate in a "forum" setting. The conference area is divided into
       three "rooms" where each room may have a separate conversation among
       various users.

 L   = List of other BBS's. See chapter 6 for more information.

 N   = News file base. See chapter 6 for more information. New news files
       listed in the main directory of the news files base are displayed to
       users as they logon to the system.

 O   = Off the system.

 P   = Program files base. See chapter 6 for more information.

 R   = Relogon to the system.  if the user has the proper privilege flag, 
       this will allow him to return to the "Press your BackSpace Key"
       prompt when logging off instead of having the system hang him up. This
       is useful when a user wishes to use several accounts.

 S   = Shell, Command Line Interpreter. This will take you into your CLI so
       make sure you don't forget your password that you have already setup
       in your "bbsconfig" file.

 U   = Upload/Download base. See chapter 5 for more information.

 V   = Vote files base. See chapter 6 for more information. Actually, vote
       topics can be added to any of the file areas, News, Pfiles, Gfiles or
       Vote. The Vote area was simply added to provide a convenient place to
       separate them from the others.

 X   = Call-Back Validation. New users who are within local calling distance
       as determined by the file "sys.avalid" are given the chance to have
       the system call them back once they have completed the new user logon
       application. If for some reason they missed this opportunity, they
       may elect to do it from the main menu. Only new users (not guest) may
       us this feature, and are always given access level 1 when the
       call-back is successful.

 Z   = Edit personal data. You may choose to allow your users to be able to
       edit their Handles, Real Names, Addresses, Birth Dates, and Phone
       Numbers. Access to this command is controlled by a user privilege
       flag.


4.2 Commands Available Throughout The System

 The following commands are available not only at the Main command level, but
also the base, udbase, and all filing system prompts.

 AG  = System Activity Graph.

 AS  = Activity Summary. This function will inform a user as to how many
       files that he has uploaded and downloaded, as well as bytes, for this
       call and since he has been a user of the system.

 C   = Call the Sysop to Chat.

 F   = Feedback for the Sysop's.

 H   = Help utility. A series of help files are available to the user to
       provided information about the general operation of the system. These
       are the files "help." found in your "SYSTEM:" directory.

 I   = Information about this system. This will display the file "sys.info"
       from your "SYSTEM:" directory.

 HIn = Hide from a port (which port). A user may remove himself from the
       "WHO" list for any port. A user may not hide from the sysop.

 MSn = Send private mail (account number or handle). A user may leave mail 
       for any other user, provided he has the privilege flag set. Mail is
       checked for when a user first logs on, and occasionally while he is
       online (in case mail arrives from other ports).

       A return receipt provides a way for the user to find out that his
       message has actually been read, even if it is not replied to. He'll
       receive a notice in mail to this effect. Note that a return receipt
       is sent even if the mail is forwarded, but the user will be informed
       of this fact as well.

       When a user selects from his message to be returned, it will be
       included as part of the recipient's reply, or the return receipt.
       This is a handy function if you send a lot of mail, and are always
       wondering what user's replies are concerning, when you've forgotten
       what it was you were talking with him about.

       With the proper privilege flag set, a user can send "URGENT" mail,
       which means that it will be displayed to him before the logon process
       is complete on his next call to the system.

 MR  = Read your private mail. If you have mail waiting, this will provide
       you the ability to display the messages you have one by one, with
       several options active between:

          A = Read the message again.

          E = Edit user. A sysop may perform the EA command directly here.

          F = Forward. With the privilege flag, a user may "give" any piece
              of his mail to another account. Note that once a message is 
              forwarded, it may not be kept in your own mail box
              simultaneously.

          G = Sysop's can change the group number of the message sender. 

          K = Keep. The message will be re-filed into your mail box for
              later use.

          Q = Reply. The equivalent of using MS back to the sender of the
              message.

          U = User info. This will display the sender's stats. See the UI
              command below.
 
 Also, all of the "Common Commands" like Feedback, Chat, etc. are available
from this prompt.

 Default is to move on to the next message, forgetting the current message.
Before exiting the MR command, an option will be given to Re-Read your
messages, giving another opportunity to perform the above functions again.

 MUn = Muffle a port (port number). If you decide to muffle a port, that port
       that port will not be able to send OLM's to you (see below). A sysop
       cannot be muffled.

 NU  = Re-Read the new user message. This simply reads the file that was
       originally read to the user as he first applied for an account.

OLMn = Send an On-Line Message (port number). Users may send each other
       messages or send the message to all ports (broadcast) which will be
       displayed at the next command prompt, or even while in the editor or
       the conferencing program, provided the user is at the first column of
       a line. A user may be "Muffled" against sending OLM's to any specific
       port(s).

 PW  = Change your password.

 ST  = Your current status.

 T   = Time information.

 UI  = Information about a user. This option will effectively allow any user
       to do the equivalent of "Status" on any other user. However, if the
       user you wish to find the status of has selected that he is "paranoid"
       then only the Handle and Last Call date will be displayed. The full 
       information is displayed to the sysop.

 UL  = Complete user list/search. A user-list consists of a tabular list of
       account numbers, handles, last call dates, and for non-paranoid users,
       real names and phone numbers. options are given for an alphabetical
       list, and a short list of handles only. A starting position in the
       list can also be specified. In addition, users may search for specific
       patterns to be found in real names, handles, and phone numbers (area
       codes only). Sysop's can obtain lists of members of specific access
       groups as well.

 WHO = Who else is on-line? This command will display a tabular list of all
       users currently logged onto the system. Information displayed includes
       port numbers, handle, city, logon time, baud rate, location currently
       in the system, and "flags". The flags refer to the status of the hide
       and muffle commands. The flags are: H=You're hiding from this port.
       M=You're muffling this port. h or m = he's hiding from or muffling
       you.

 AU  = Auto user monitor. Sends OLM's to the user notifying him of the logon
       or logoff of the other users.

 EP  = Edit system preferences. Here a user selects his help level, default
       download protocol, whether he wants the "More?" pause, wether or not
       he is paranoid (others can see his personal information), his time
       zone, time display format, mailbox status (open to accept mail or not
       as well as auto-forwarding to another account), and his personal
       MACROS.

 ET  = Edit Terminal Parameters. Here, the computer type, graphics set, ANSI
       mode, line feeds, and the screen size can be set. Graphics sets 
       available are: ASCII (7 bits only), Commodore Color/Graphics (the 64 &
       128 users can see color, and enter the C= graphics characters), IBM
       graphics (IBM users can see IBM graphics characters, and enter a 
       limited set of these), AMIGA International (AMIGA users can enter all
       language characters), and AMIGA SkyPix (equivalent to AMIGA
       International, but will also allow SkyPix codes to be transmitted).

       Currently, translation only occurs between IBM and C/G users to view
       each others graphics characters. AMIGA International characters are
       NOT yet translated for IBM and C/G users, and vice versa. 


			-=-

                          FULL LIST OF C-NET COMMANDS


1; Maintenance menu
	VF, VIEW Feedback
	VN, VIEW New
	EA, Edit Account
	EG, Edit Group
	WF, Write File
	RF, Read File
	AM, Activity Monitor
	LC, Call Log
	LU, Transfer Log
	DUmp
	LA, Amaint Log
	RUN
	DD, Download Direct
	*D
	TOSL, TOSelectList   |#2 Pfiles:bbs/TOSL}

2; Available everywhere
	Help
	Chat
	Time
	Feedback
	INFo
	NU, New User
	STatus
	PW, Change Password
	FInger, UI
	MS, Mail
	MR
	CRedits
	AG, Activity Graph
	WHo
	OLm, On Line Message
	HIde
	MUffle
	UM, User Monitor
	ET, EDit TERMinal
	EP, EDit PREFS
	EU, EDit USER
	CC, Chat Call
	ACcount
	MM, Multi Mail
	WHY
	IDentify
	EF, EDit FInger
	*C
	SS
	DS
	RM
	FIND
	NSal

3; Main prompt
	Base
	Gfiles
	Join
	List
	News
	Pfiles
	Relogon
	Quit, Off
	Shell
	Uploads
	Vote
	X, Call Back
	?
	UL, User List
	MV, Mail Verify
	TErm
	MOnitor

4; ud/base
	SN~Scan NEW
	RN~Read NEW PREVIEW
	YN~Yank NEW PREVIEW
	BN~Browse NEW PREVIEW
	SA~SG NEW
	RA~RG NEW PREVIEW
	YA~YG NEW PREVIEW
	BA~BG NEW
	AL, Add List
	KL, Kill List
	EL, Edit List
	YG, Yank Global
	SG, Scan Global
	RG, Read Global
	BG, Browse Global
	VIew
	Again
	Browse
	Download
	Examine
	TYPE,Grab
	DRop
	Join
	Kill,DELete
	List
	NOTE,NEw
	Off
	Post
	Read
	DIR,Scan
	Quit
	Upload
	Validate
	AO, Adopt Orphans
	ENtry
	*, SElect
	?
	<
	>
	/
	Write
	ATtribute
	MOve
	REspond
	Z, SEArch
	ZG, SEArch Global
	Yank
	Xit
	MF, Mail Subop
	:
	ML
	TEst
	TRansform
	INvite
	ORder
	CD
	EDit
	VOte
	RR

5; Respond or Pass?
	Download
	Examine
	Grab
	Respond
	Quit
	Again
	Validate
	?,Help
	*, SElect
	Write
	ATtribute
	New
	Kill
	Last
	.
	Over
	+
	-
	Pass
	TEst
	TRansform
	POst
	EDit
	Scan
	Z, SEArch
	VOte

6; News/GFiles/PFiles
	Off
	Quit
	Scan, List
	Post
	AO
	EL
	Edit
	ATtribute
	AL
	Kill
	ENtry
	EXit
	Add
	ML
	X, ALPhabetize
	?
	/
	Download

7; Read mail, between items
	?,Help
	.,Again,Over
	Edit
	Send
	Group
	Kill
	Quit
	Reply
	User
	List
	*, SElect
	Download
	Pass
	Noreceipt
	Write

8; New-scan subboard selection
	List
	Filter
	Keyword
	Subboards
	Yank
	?
	Abort

9; Read-all
	Post
	Skip
	Quit
	Abort
	Continue
	Drop

10; Editor-empty or with text
	*
	Zip
	Abort
	Save
	New
	/,.
	O
	Wrap
	Visual
	>
	?,Help
	Quote
	Get

11; Editor-with text only
	Insert
	Mciread
	Read
	List
	Edit
	K
	Toggle
	Delete
	Border
	Copy
	Justify
	Find
	$
	Put

12; Editor justify options
	Left
	Right
	Pack
	Center
	Expand
	Indent
	Unindent

13; Scan for new at logon
	Read~RG NEW PREVIEW
	Browse~BG NEW
	List
	RG
	BG
	Yank
	Cancel
	?
	Quit

14; Bbslist
	Add
	Kill
	List,Scan
	Quit
	?
	Off
	*
	Download

16; Conference
	?
	List
	Room
	Quit
	COntrol
	PAss
	Invite
	Uninvite
	X,Edit
	XR,Edit Room
	PErmanent
	NAme
	SAve
	Verify

17; Mail-verify
	.,Again
	Edit
	Kill
	Next
	Quit
	?

18; Vote
	List
	Add
	Kill
	Quit
	Edit
	Xamine
	New

20; Browse
	Quit
	Read
	*
	Download
	?
	Grab
	Examine

21; Read mail, before reading items
	?
	Quit
	Scan
	New
	Old
	All

22; Message Quote
	List
	Add
	Quit
	Step
	Response

23; Alternate BBSTEXT/MENU prompt (example)
	C-Net
	Ami-Express

24; Abort/Logoff prompt before file transfer
	Abort
	Logoff
        Descriptions  |#2 pfiles:bbs/DloadDescript}

25; Join/Visit prompt in base
	Join
	Visit

27; Scan for new at base entry
	Yes
	Browse
	Scan
	No

28; Net Mail Send
	Post
	Request
	Send
	Quit
	?

30; Computer types; list no more than 24
	Amiga 500
	Amiga 600
	Amiga 1000
	Amiga 1200
	Amiga 1500
	Amiga 2000
	Amiga 2500
	Amiga 3000
	Amiga 4000
	Amiga Other
	Other Than Amiga

31; Reading messages ("mess" option)
	Respond
	Quit
	.,Again
	?,Help
	Pass
	POst

 			-=-

                        The Ultimate CNet Tutorial

        CONTENTS

        Part 1: The Database Tour
        Part 2: The Quick Review (For user in a hurry)
        Part 3: Advanced Commands
        Part 4: The Typical Logon


1) The DATABASE Tour.

        to go into the FILE Section:
        Type: U         (AmiX: J)

        you will have a choice like this:

        ++++++++
         1. (dir)   Amiga Wares          2.       Upload to Sysop

        Please select a SubBoard.

        Upload Base> _
        ++++++++

        enter the number of the base into which you want to go. when you
        are into the desired base, there may be other such choice, just
        keep selecting the menu you want.



        ok. you are now into a base. how can you tell? it will write the
        number of FILES into that base. like this:

        ++++++++
        *Subboard (1) New Games

        : Last visit was Tue 25-Aug-1992  1:05a
        :  158 files      (   4 new)
        :    8 responses

        Used: 92% of 663M  Free: 49M

        (1) New Games> _
        ++++++++

      * To list the files:

        Type: S 1-              list from file #1 to last file  (AmiX: F 1)
        Type: SN                list NEW file only              (AmiX: N S U)
        Type: SA                list ALL NEW files Everywhere   (AmiX: ??)
        Type: S 'ray'           List files with 'ray' in their Description
                                or name                         (AmiX: Z RAY)

      * To mark files:

        Type: *16               to mark file #16                (AmiX: M)
        Type: *16-22            to mark file #16 up to 22       (AmiX: ?)
        Type: *16,21            to mark file #16 AND 21         (AmiX: ?)


      * To download Marked files:

        Type: DS                Download Selected               (AmiX: D)


      * To erase marked files:

        Type: *C                Clear selected list


      * To view marked files:

        Type: SS                Scan Selected


      * To download a file:

        Type: D 1               to download Item #1             (AmiX: D)
        Type: D 1,2,5           to download Item #1, 2 AND 5    (AmiX: D)
        Type: D 1-3,6           To download 1 UP TO 3 AND 6     (AmiX: D)


      * To upload a file:

        Type: U                 upload a file in BATCH mode.    (AmiX: U)
        Type: U 12              to RESUME file #12              (AmiX: UR)


      * To go into the MESSAGE BASE:

        Type: B                 Message Base (From MAIN MENU)   (AmiX: J)
                                You have the same BASE CHOICE as with
                                the FILE SECTION. Select the one you want
                                by pressing the NUMBER.


      * To enter a PUBLIC message:

        Type: P                 POST message. you will be asked (AmiX: E)
                                for the title, ect


      * To READ a message:

        Type: R 1               To read Message #1              (AmiX: R)
        Type: R 1,2,5           To read Message #1, 2 AND 5     (AmiX: R)
        Type: R 1-              To read from Message #1 to end  (AmiX: R)


      * To read PUBLIC messages addressed to you:

        Type: R TOME            Read public message addressed   (AmiX: ?)
                                to me.


      * To read all new public message in CURRENT Message Base only:

        Type: RN                Read New messages               (AmiX: R)


      * To real ALL new public message in EVERY message base:

        Type: RA                Read All new messages


      * To list messages in SHORT format (1 line with only the subject):

        Type: S 1-              Scan from message #1 to end     (AmiX: R)
        Type: S 1,2,6           Display item 1, 2, AND 6        (AmiX: R)
        Type: S 1-10,32         Display from 1 to 10, AND 32    (AmiX: R)


      * To list NEW messages in SHORT format in CURRENT Base:

        Type: SN                Scan NEW messages


      * To list NEW messages in SHORT format in EVERY Base:

        Type: SA                Scan ALL NEW messages


      * To enter a PRIVATE message to a user:

        Type: MS username       Mail Send to username           (AmiX: E)
        Type: MS 1              Mail Send to user #1            (AmiX: E)


      * To read your PRIVATE message(s):

        Type: MR                Mail Read                       (AmiX: R)


      * Leave a message to SYSOP:

        Type: F                 FEEDBACK to sysop               (AmiX: C)


      * Chat the SYSOP:

        Type: C                 CHAT                            (AmiX: O)


     *  Logoff from the board:

        Type: O                 logOff from the board           (AmiX: G)


     *  FAST Logoff from the board:

        Type: O!                Fast LogOff                     (AmiX: G)


2) The Quick Review

        Action                  Command         Description
        --------------------------------------------------------------------
        * Go to File base:      U               Upload/doanload base
        * Download:             D 1,2,4         download file 1,2 and 4
        * Upload:               U               upload. You can do a batch
        * List Files:           S 1-            list from file #1 to end
        * List New Files:       SN              List new files in base
        * List ALL New Files:   SA              list ALL new files

        * Go to message base:   B               message Base
        * Read a message:       R 1,2,4         Read message 1, 2 AND 4
        * Enter a message:      P               Post public message
        * List Message title:   S 1-            List from Message #1 to end
        * Read NEW messages:    RN              Read NEW in CURRENT base
        * Read ALL NEW message: RA              Read NEW messages EVERY base
        * Read private mail:    MR              Mail Read
        * Write private mail:   MS <username>   Send mail to <username>

        * Back to main menu:    Q               Quit back to main


3) Advanced Commands

        * GFiles                Type: G         from the MAIN menu

          The GFiles are General text Files. they are simply texts, that
          the sysop puts up for the user to read. Upon entering the GFiles
          section, the user will get this display:

        ------------------------------------------

        ## Description
        == ==============================
         1 Welcome to the GFiles!
         2 Rules of this board
         3 How to win this week's jackpot
         4 Have you killed a lamer recently?
         5 You should!

         Enter Item#, Scan, Quit, ?=Menu

         General Files> _

        ------------------------------------------

        - In order to read a text, you simply have to press the number at
          the left of the desired text. very simple, is it not?

        - after having read the text, the menu will NOT be printed, you
          will have to press either <S> or <L> to have the List of text
          files.

        - if you desire, you can DOWNLOAD a text by entering the usual
          DOWNLOAD command:

          Type: D 1,2,5         to doanload text 1, 2, AND 5

        - if you want to get back to the MAIN MENU, wimply press <Q>.

        - you can also logoff from here by pressing either <O> or <O!>.


        * PFiles                Type: P         from the MAIN menu

          The PFiles are called Program Files. On other BBS they are known
          as DOORS. These files can be anything, ranging from simple text
          files to complex C Programs, or any DOS commands. There is
          currently many such PFiles available written in AREXX, such as
          Global War and many other games. The PFiles section operates
          EXACTLY as the GFiles section. Same display, same commands.


        * News                  Type: N         from the MAIN menu

          The news system in C-NET is very interesting. it lets people with
          proper clearance write texts in this area. The special things in
          the NEWS area, is when a user log in, they are showed all new
          NEWS text since their last call. This can be used to keep users
          informed of news on the system, addition to the board, the death
          of yet another lamer or any other interesting news.

          Here again the NEWS section operates EXACTLY as the GFiles and
          the PFiles sections. SAME display, SAME commands.

        * List                  Type: L         from the MAIN menu

          List is a special section exclusively for the storage of other
          BBS' number. User can directly add their number to the base. When
          you enter you have this display:


        ------------------------------------------

        CNet AMIGA BBSList 2.0

        There are 43 systems listed.

        BBSList> _

        ------------------------------------------


          the numbers are numerically ordered. you can view them for a
          specific area, or from a specific area.

        - to list ALL numbers from the base press <L>. you will be asked
          from which area code to start listing. Either press <RETURN> to
          start from the top of the list, or enter the first desired area
          code.

        - you can also DOWNLOAD the whole BBS List, Simply press <D>.

        - you can have the whole bbs list packed into a file which you can
          MARK for future download, for this enter an asterisk <*>.

        - To add your number to the list, press <A>, and follow the
          on-screen prompts.


        * Vote                  Type: V         from the MAIN menu

          The C-NET vote system. This section is very easy to use. Here is
          the basic display:

        ------------------------------------------

        Current Topics (*=You need to vote):

          1:Do you prefer CNet or AmiExpress
          2:Do you have sex

        Voting (Topic#, L:ist, Q:uit)> _

        ------------------------------------------

          so, to use this system is rather easy. Press the number of the
          topic on which you want to vote. you will be prompted with the
          choices like this:


        ------------------------------------------

        Topic #1
        Do you prefer CNet or AmiExpress
        (contributed by The Joker on Thu 27-Aug-1992 12:52a)

        Which BBS program do you prefer?

             #:Possible answers
             1:CNet Amiga                       2:AmiExpress

        Your choice (1-6): _

        ------------------------------------------

          Simply enter the desired vote. You can then move to the next vote
          by pressing it's number. you can get back the list of topics on
          which to vote by pressing <L>.



        * Join                  Type: J         from the MAIN menu

          This is the CONFERENCE system of CNet. This conference system
          allows multi line BBS can have their users chat together all at
          the same time. Simply type <J> from the main menu, and VOILA! you
          are in to chat with other users!

          here are some usefull commands in the conference system:

                - /Q    go back to main menu
                - /WH   to know who else is using the BBS
                - /L    to list the available ROOMS
                - /R x  go to the room #x

          rooms are special chat-area with predefined users/topics. you can
          move between those rooms, and chat with different people, and
          under different topics.

        * UserListing           Type: UL        from the MAIN menu

          If you want to have a list of all users on the board, you can use
          the UserList function. here is how it works:

        ------------------------------------------

        Main> UL

        Alphabetically by handles [No]? _
        List handles only [No]? _

        ------------------------------------------

          if you want to have the users in alphabetical order, answer yes
          to the first question. if you wish to have handles AND userinfo,
          answer No to the second question

        ------------------------------------------

        Enter the beginning Account Number.
        :

        ------------------------------------------

          here you can enter a number from which the list will start. Each
          user are assigned with a unique account number, this is the
          number you must enter if you wish to have a selective list.

        ------------------------------------------

        Search patterns:

        1.  RealName: <INACTIVE>
        2.  Voice#  : <INACTIVE>
        3.  Handle  : <INACTIVE>
        4.  Computer: <INACTIVE>
        5.  Country : <INACTIVE>
        6.  Access  : <INACTIVE>

        # or ENTER=begin?

        ------------------------------------------

          here are the UserList Search Patterns. Press the number of the
          parameters you wish to search for. you can select none or all of
          them if you want. once you are done, press return at the prompt
          to begin listing users which match your patterns.


        Some other everyday commands

        * Credit Balance        Type: CR        from any prompt

          here is the display you will get:

        ------------------------------------------

        Messages entered: 12 private; 8 public

                           Files        Bytes
        -------------  ---------  -----------
        Your Uploads  :       12       1232 K
        Your Downloads:       24       1655 K
        Default ratios:      3:1         3:1
        Your credits  :       12       2041 K
        Usable today  :       12       2041 K

        ------------------------------------------

          ok, here are the meanings of the numbers. YOUR UPLOADS, reflect
          the number of FILES and the number of KILOBYTES you uploaded.

          YOUR DOWNLOADS are the number of FILES and the number of
          KILOBYTES you downloaded.

          DEFAULT RATIOS is the ratio you currently have.

                FILES: 3:1. this means that for each file you upload, you
                       you can download 3. Simply put, you get 3 times the
                       number of files you upload.

                BYTES: 3:1 this means the number of kilobytess you receive
                       for each kilobytes you send. here again, it's 3
                       times the number of kilobytes you send.

        YOUR CREDITS is the total number of FILES and the number of
        KILOBYTES you can download from the BBS.

        USABLED TODAY if the number of FILES and the number of KILOBYTES
        you can download TODAY. the rest can be downloaded at another day.


 Remember that there is MANY MANY more commands avaiable with c-net. While
 this text if only a tutorial for non-expert, and for people that only wosh
 to be acquinted with c-net, i will not go into further details.


4) The Typical LOGON.

--------------------------------------

CONNECT 19200/HST/HST/V42BIS

Press RETURN to enter System:


CNet AMIGA 2.25a (c)1990-92
Perspective Software 313-981-1524 [BBS]

Terminal A=ANSI, C=CBM, I=IBM, S=Sky, [NONE]: _

{ do i need to explain this line? it's for selecting the GRAPHICS you want }

ANSI enabled!

{ we selected ANSI graphics }

Enter NEW if you have no account.
Enter your handle.
:                     .

{ if you have NO account on a CNet board, you must enter NEW at the prompt
  and answers question for your account. }

{ please note that the following logon is for the 2.25+ version of CNet }

Enter NEW if you have no account.
Enter your handle.
: The Joker           .

Enter your password
: ........

Verified.               { ok, you are recognised! }

NOTE: you are allowed only 4 more calls today.
{ calls left for this day }

@ Cleared for logon

The Last caller was: Lamer Killer

No new news.            { if any NEWS text were posted, they would be
                          displayed, else this line is shown }

No new mail.            { if you dont have any new mail }

You have new mail--read now [No]? _     { if you have new messages waiting }

You have 1 new; 1 old messages.

Scan messages now [Yes]? Yes

  1 Sun 21-Aug-1992 1:22a Sysop                 Money
* 2 Sun 30-Aug-1992 3:51a Sysop                 Validation

Quit, Scan, New, Old [All]> _

{ note the * at the left of the message numbers. it shows the NEW messages.
  at this prompt you can Quit reading messages, Scan messages, read only
  NEW messages, and the default ALWAYS in [] is to Read ALL messages. }

item: 1 (of 2)
subj: Money
from: Sysop (1, sysop name, 555-555-1234, Super User)
on  : Sat 29-Aug-1992  7:18P

Hi there.

you must give me $500 to have access to the PD section. else, i send to
cops to your house.

Sincerely yours,

        The Sysop

{ ok, you surely guessed it right, that was the Message!! }

Again, Reply, Kill, [Pass]> _

{ from this prompt you can: Again=Read the message again, Reply=Reply to
  this message by sending an answer to the user as a PRIVATE message,
  Kill=erase the message without answering, [Pass]=go to the next message
  without answering the current message. you have more choice avaiable at
  this prompt like entering the # of the message you want to read, <D> to
  download the attached FILE to this message (if any), <Q> quit mail
  reading, <?> for a menu of available commands. }

{ so,let say you decided to reply to this message. }

Again, Reply, Kill, [Pass]> Reply

Is Sysop correct [Yes]? _

{ if you simply press RETURN, it will take the default choice which is YES }

Enter a subject for your message.
: Hello Sysop!

{ ok, the next questions might not be present, depending on your access
  level }

# of days before auto-expiration:

{ if you enter, let say 10, after 10 days, if unread, your message will be
  deleted. }

Mark this item as file-mail  [No]?

{ if the subject entered is the PATH + FILENAME of a file to attach to this
  message }

Return a receipt if no reply [No]?

{ some user have a bad habit of reading your message without replying. with
  this RECEIPT, you will get a message back saying if the user answered
  your message, if he deleted it, or if he kept it for replying later. }

Return original message also [No]?

{ with the receipt, you may want to have the message you sent too. this may
  be usefull, since you may not remember what your message was. }

Urgent mail (show at logon) [No]?

{ having URGENT MAIL allows you to have users read the mail just after he
  has logged on the bbs. usefull for URGENT messages that cannot wait until
  the Message Reading usual time }

CNet AMIGA TextMachine 2.0:
Enter up to 250 lines--enter .H at column 1 for Help, or .S to Save.
Only press ENTER when beginning a new paragraph.

_

{ here you are in the great CNet text editor. you simply type your message,
and when you are done, press return, THEN press <.S> to save your message.
you can view the resulting message the same way the receiver will see it by
typing return and pressing <.M>, or sumply view your text by typing return
then pressing <.R>. }

Dear Sysop,

  i am making you a BLANK check. So take whatever money you need from me. i
like givin away my money for shitty PD software.

Thanks,

        The Joker

{ here, you press <.S> at column #1 }

.S { + Return }

Mail files.

{ that's it, your message was saved, and we get back to this prompt: }

Again, Reply, Kill, [Pass]> Q

{ok, we typed Q to quit message READING. }


Quit, Scan, New, Old, [All]> _

{ so here you can go back to scanning files, reading messages, ect. but
  we'll just Quit }

Quit, Scan, New, Old, [All]> Quit

Kill all messages [No]? _

{ if you read all your messages, but not deleted them, you can use this
  option to delete ALL of them. }


1 Subboard(s) report new uploads since your last call.

Quick-browse these new files now [Yes]?

{ with the BROWSING action you can move though files, selecting files for
  later downloading. }

Quick-browse these new files now [Yes]? Yes

New uploads located: 2

  1 31-Aug   4 hschk456      LHA   86K  High Speed Check Ver 4.56
  2 30-Aug   4 hschk425      LHA  112K  High Speed Check Ver 4.25

(2) Browse (*, Download, Read, Quit)>

{ the number in the () is thenumber of new files. The * lets you SELECT
  the files as follow: }

(2) Browse (*, Download, Read, Quit)> *1,2

hschk456,lha now selected!
hschk425,lha now selected!

{ which select files 1 and 2 for later downloading. use SS and DS to scan
  your selected files or download them. }

{ when you are done, press RETURN to see the new files in the next database
  (if any) or press <Q> to exit new file browsing }

{ that was for the FILES section, you also get a report of the MESSAGES
  SECTION. }

1 Subboard(s) report new activity since you last visited them.

Scan#-# Read#-# Browse#-# Yank New-cancel#-# [?=menu] _

{ here you have a choice to read and browse through new messages on the
  system:

  Browse   :  to list new items with option to read them or download them
  New      :  Cancel the 'new' status of subboard. as if you read all
              messages
  Read     : Read the new items
  Scan     : scan the new items
  Yank     : Pack message for offline reading (optionnal use of LHA for
             packing)

  the #-# after the command means you can supply a range like: }


Scan#-# Read#-# Browse#-# Yank New-cancel#-# [?=menu] S1-10

{ which will scan the files from 1 up to 10. here again, when you are done
  reading, or packing messages, you can type RETURN to go to the next area
  with new messages, or type <Q> to quit new message reading }



At this point you find yourself into the MAIN MENU of c-net. We'll do a
simple access. we will go into the database, scan the new files, download
files, and upload some, then logoff. this will complete our logon.

Main> _

{ here, we go into the Upload/Download Area }

Main> U

{ there might be a custom menu, so we'll skip to the important part }

1.         Amiga PD                     2.         IBM PD

Please select a subboard (l=list)

List, Quit, subboard#, ?=menu

Upload base> 1

{ we'll go into the AMIGA PD base. }

*Subboard (1) AMIGA PD

Last visit was Mon 31-Aug-1992  1:57a
:   10 files
:   no responses

Used: 91% of 663M  Free: 55M

Browse, Scan, Read, Download, Upload, Quit, ?=Menu

(1) Amiga PD> S 1-

{ we'll scan files from #1 up to the last one }

  1 30-Aug   0 tsl-dyna      LHA  10K Trainer for Captain Dynamo +8 and fix
  2 29-Aug   2 pod           EXE  78K P.O.D. The Classical Game f.t. C64 !
  3 29-Aug   2 nms_dyna      DMS 309K CAPTAIN DYNAMO - FINAL BY NEMESIS
  4 29-Aug   1 f&s-ppp       DMS 355K Punkt Punkt Punkt (GER)
  5 29-Aug   1 starcon       LHA1163K Starcon. A game like Archon 6
  6 29-Aug   2 virz323       RUN 105K Virus Z 3.23
  7 29-Aug   1 quick27b      DMS 329K Quickbyte
  8 29-Aug   1 tn_prmtr      LHA   9K Premiere Trainer
  9 29-Aug   0 tnprefix      LHA   4K Premiere Fix..3RD Disk
 10 29-Aug   3 d-space       DMS 149K space taxi

{ WHAT?  PD files ?!?! Sure... Really COOL PD board! }

Browse, Scan, Read, Download, Upload, Quit, ?=Menu

(1) Amiga PD> D 10,6

{ i'll take these 2 PD files. they sure are cool! }

d-space.DMS now selected!

virz323.RUN now selected!       { i REALLY want to see this COOL file! }

1. d-space.dms          152576  { this is the list of file you'll download }
2. virz323.run          107520

Bytes: 254K  Time: 5:18

Enter the # of the itrem to deselect or press ENTER to accept
:

{ if you want to REMOVE an item from the list, enter it's number at the
  prompt above, or press RETURN }

Use your default protocol Zmodem [Yes]? _

{ Press RETURN at that one to select ZModem, or press NO to select another
  protocol }


Ready to transfer with Zmodem.

Logoff upon completion, Abort, [RETURN to start XFER]:

{ you can type <L> if you wish to logoff right after you finished
  Downloading. You can abort your downloading by pressing <A>, or RETURN to
  start the transfer. }

Go to receive files, ^X aborts
**B000000000000000

Transfer successfull.


Browse, Scan, Read, Download, Upload, Quit, ?=Menu

(1) Amiga PD>


{ ok, so you got those files. WOW! good PD (sure) software for nothing! }

{ let's upload! }

Browse, Scan, Read, Download, Upload, Quit, ?=Menu

(1) Amiga PD> U


Use your default protocol Zmodem [Yes]? _

{ Press RETURN at that one to select ZModem, or press NO to select another
  protocol }

{ you may of may not see the following querries depending onthe subboard
settings done by the sysop }

Private item [No]? _

{ if your upload is to remain PRIVATE (lime private mail) }

Press RETURN for a BATCH upload in ZModem       { this line WILL vary }

Title for item # 1:

{ simply press return instead of the title. this description stuff is for
  users which upload stuff and select the auto logoff}

Logoff upon completion, Abort, [RETURN to start XFER]:

{ you can type <L> if you wish to logoff right after you finished
  Downloading. You can abort your downloading by pressing <A>, or RETURN to
  start the transfer. }

Transfer successful!

Please describe LOAD.lha

Please enter a short description for this file
: this is the load routine for the PD game called Shadow of the beast 3

Enter an OPTIONAL long description [No]? No

{ now, you entered a description which had 1 line (short) and you CAN enter
a LONG description (like a message) for this file. but we did not. }

Browse, Scan, Read, Download, Upload, Quit, ?=Menu

(1) Amiga PD> Q

Main> O                 { Logoff from the bbs }

Want to logoff [Yes]? Yes

Want to leave a Feedback [No]? No

end.
